package cz.moneta.test.dsl.util;

import cz.moneta.test.dsl.util.data.client.Address;

public class AddressUtils {

    private AddressUtils() {
    }

    public static String buildStreetWithNumbers(Address address) {
        String finalAdress = String.join(" ", address.getStreet(), address.getDescriptiveNumber());
        if (address.getOrientationNumber() == null || address.getOrientationNumber().isEmpty()) return finalAdress;
        return String.join("/", finalAdress, address.getOrientationNumber());
    }
}